/* Loading背景画面設定　*/
#splash {
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 999;
  background: #402401;
  text-align: center;
  color: #fff;
}

/* Loading画像中央配置　*/
#splash_logo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 30px;
}

/* Loading アイコンの大きさ設定　*/
#splash_logo img {
  width: 260px;
}

/* ここからローディングのレスポンシブ対応 */
@media (max-width: 767px) {


  /* fadeUpをするアイコンの動き */
  .fadeUp {
    animation-name: fadeUpAnime;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    opacity: 0;
  }

  @keyframes fadeUpAnime {
    from {
      opacity: 0;
      transform: translateY(100px);
    }

    to {
      opacity: 1;
      transform: translateY(0);
    }
  }

  /*スライダーのためのcss*/
  .slider {
    width: 100%;
    height: 100%;
    margin: 0 auto;
  }

  .slider img {
    width: 100%;
    /*スライダー内の画像を横幅100%に*/
    height: 100%;
  }

  /*slickのJSで書かれるタグ内、スライド左右の余白調整*/

  .slider .slick-slide {
    margin: 0 10px;
  }

  /* ＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
  ＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝ */
  /* ここからMENUのcss */

  /* ハンバーガーメニュー */
  menu .hamburger {
    display: none;
    position: fixed;
    top: 30px;
    right: 30px;
    z-index: 200;
    cursor: pointer;
    width: 50px;
    height: 50px;
    background: #F2D8A7;
    opacity: 100%;
    border-radius: 50%;
    padding: 12px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  }

  menu .hamburger span {
    display: block;
    width: 100%;
    height: 3px;
    background: #734002;
    margin: 5px 0;
    transition: all 0.3s ease;
    border-radius: 2px;
  }

  menu .hamburger.active span:nth-child(1) {
    transform: rotate(45deg) translate(7px, 7px);
  }

  menu .hamburger.active span:nth-child(2) {
    opacity: 0;
  }

  menu .hamburger.active span:nth-child(3) {
    transform: rotate(-45deg) translate(7px, -7px);
  }

  /* レスポンシブ対応 */
  @media (max-width: 767px) {
    menu .hamburger {
      display: block;
      top: 50px;
    }

    .scroll {
      display: none;
    }
  }


  /* 背景動画 */
  .video-background {
    width: 100%;
  }

  .menu-nav {
    display: none;
    position: absolute;
    top: 150px;
    left: 50px;
    width: 100%;

    z-index: 150;
    text-align: center;
    padding: 1rem 0;
  }

  menu nav.active {
    display: block;
  }

  menu nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
  }

  menu nav ul li {
    margin: 1rem 0;
  }

  menu nav ul li a {
    text-decoration: none;
    color: #402401;
    font-weight: bold;
    font-size: 1.2rem;
    text-align: center;
    border-radius: 50px;
  }
}

menu nav .reserve-btn {
  display: none;
}

menu .mobile-nav {
  display: block;
}


/* ここからロゴとかのレスポンシブ対応 */
@media (max-width:767px) {

  /* ここからロゴとタイトル */
  /* 左ロゴ */
  .menu-logo {
    width: 150px;
    height: 150px;
    position: absolute;
  }

  /* 左タイトル、店名 */
  .menu-vertical-title {
    font-size: 20px;
    top: 60px;
    left: 130px;
    position: absolute;
    writing-mode: horizontal-tb;
  }

  .menu-social-icon {
    display: flex;
    flex-direction: column;
    margin-top: 100px;
    margin-left: 310px;
  }

  .menu-social-icon img {
    width: 50px;
    height: 50px;
  }

}

/* ここまで */
/* ここからトップの画像 */
.menu {
  font-family: 'Zen Maru Gothic', serif;
  margin-left: 485px;
}

.menu img {
  width: 60%;
  text-align: center;
  border-radius: 20px;
  margin-top: 20px;
  box-shadow: 0 8px 20px #402401;
}

/* ここからメニュー表 */
.menu-heading {
  font-size: 2.5rem;
  border-bottom: 3px solid #97AB5A;
  color: #402401;
  margin: 2rem auto;
  text-align: center;
  width: fit-content;
  font-family: 'Zen Maru Gothic', serif;
}

.menu-section {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  max-width: 1000px;
  gap: 20px;
  padding-left: 100px;
  justify-content: center;
  margin: 0 auto;
  animation-name: smoothAnime;
  animation-duration: 1s;
  animation-fill-mode: forwards;
  transform-origin: left;
  opacity: 0;
}

@keyframes smoothAnime {
  from {
    transform: translate3d(0, 100%, 0) skewY(12deg);
    opacity: 0;
  }

  to {
    transform: translate3d(0, 0, 0) skewY(0);
    opacity: 1;
  }
}

.menu-heading h2 {
  font-size: 60px;
  color: #402401;
  margin: 20px auto;
  font-family: 'Zen Maru Gothic', serif;
  text-align: center;
}

.menu-item {
  background-color: #F2D8A7;
  border-radius: 12px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.08);
  overflow: hidden;
  max-width: 320px;
  width: 100%;
  transition: transform 0.3s ease;
}

.menu-item:hover {
  transform: translateY(-4px);
}

.menu-item img {
  width: 100%;
  height: 140px;
  object-fit: cover;
}

.menu-text {
  padding: 1rem;
  text-align: center;
}

.menu-text h3 {
  margin: 0;
  font-size: 1.2rem;
  color: #402401;
}

.menu-text p {
  font-size: 0.95rem;
  color: #402401;
  margin: 0.5rem 0;
}

.price {
  font-weight: bold;
  color: #402401;
  font-size: 1rem;
  font-family: 'Zen Maru Gothic', serif;
}

.menu-heading p {
  font-size: 20px;
  margin-right: 100px;
}

/* ここからレスポンシブ対応 */
@media (max-width: 767px) {
  .menu {
    padding-top: 120px;
    margin-left: 30px;
  }

  .menu img {
    width: 300px;
    margin-bottom: 40px;
    box-shadow: 0 8px 20px #402401;
  }

  .menu-heading {
    font-size: 30px;
    margin: 20px 150px;
  }

  .menu-section {
    max-width: 100%;
    margin-right: 70px;
  }

  .menu-text h3 {
    margin: 0;
    font-size: 0.7rem;
  }

  .price {
    font-size: 0.9rem;
  }

}

/* ここまで */

/* ここから注釈 */
.menu-note {
  font-size: 18px;
  color: #402401;
  text-align: center;
  margin-top: 60px;
  margin-bottom: 30px;
}


/* 空き状況と予約ボタン  */
.reservation-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  margin: 40px 0;
}

.availability-text {
  font-size: 0.9rem;
  color: #402401;
  text-align: center;
}

.reservation-button {
  background-color: #97AB5A;
  color: #F2D8A7;
  padding: 20px 50px;
  text-decoration: none;
  border-radius: 30px;
  font-weight: bold;
}

/* ここから注釈と予約ボタンのレスポンシブ対応 */
@media (max-width:767px) {
  .menu-note {
    font-size: 13px;
    margin-top: 60px;
    margin-bottom: 30px;
  }

  .menu-overlay-content p {
    font-size: 15px;
  }

  .reservation-button {
    padding: 10px 30px;


  }
}


/* ここからフッター */
.menu-footer {
  position: relative;
  background: #4a3520;
  border-radius: 50% 0;
  color: #F2D8A7;
  padding: 100px 40px 40px;
  overflow: visible;
  z-index: 1;
}

/* 1つ目のハリネズミ画像 */
.menu-box-decoration4 {
  position: absolute;
  top: -200px;
  right: -30px;
  width: 400px;
  z-index: 3;
  overflow: visible;
  transform: scale(-1, 1);
}

/* 2つ目のハリネズミ画像 */
.menu-box-decoration5 {
  position: absolute;
  top: -85px;
  left: 380px;
  width: 400px;
  z-index: 3;
  overflow: visible;
  transform: scale(-1, 1);

}


.menu-footer-title {
  font-size: 110px;
  font-weight: bold;
  margin: auto 0;
  color: #97AB5A;
  letter-spacing: 3px;
  font-family: 'Ribeye', serif;
  line-height: 1;
  text-align: center;
}

.menu-copyright {
  font-size: 18px;
  color: #f5f5dc;
  text-align: center;
  justify-content: center;
  align-items: center;
}

.menu-footer-top-link:hover {
  transform: translateY(-5px);
}

/* トップ戻るボタン */
.btn {
  display: inline-block;
  padding: 10px 20px;
  background-color: #97AB5A;
  color: #F2D8A7;
  text-decoration: none;
  border-radius: 30px;
  font-weight: bold;
  font-family: 'Zen Maru Gothic', serif;
  transition: background-color 0.3s ease;
}

.btn:hover {
  background-color: #402401;
}


/* フッターのレスポンシブ対応 */
@media (max-width: 768px) {
  .menu-footer {
    padding: 40px 20px 30px;
  }

  .menu-footer-title {
    font-size: 45px;
    padding-top: 70px;
  }

  /* 1つ目のハリネズミ画像 */
  .menu-box-decoration4 {
    top: -125px;
    right: -30px;
    width: 180px;
  }

  /* 2つ目のハリネズミ画像 */
  .menu-box-decoration5 {
    top: 15px;
    left: -25px;
    width: 200px;
  }

}

/* ここまで */